#!/usr/bin/env python3 

from mopacamk import MOPACamk
from ase.io import read, write
from re import search

inp = open('amk.dat', "r")
method = 'pm7'
for line in inp:
    if search("LowLevel ", line):
        if str(line.split()[1]) == 'mopac' : method = str(line.split()[2])
       
geom = read('mingeom')
geom.calc = MOPACamk(label='bo', method=method, task='1SCF BONDS INT THREADS=1', relscf=0.01)
geom.get_potential_energy()
bofile = open("bond_order.txt", "w")
for item in geom.calc.get_bond_order():
    bofile.write(item+' ')
bofile.write('\n')
